//***************************************************************************
//
//
//  
//
//  
//***************************************************************************
#ifndef SPI_H
#define SPI_H

#include <avr/io.h>
#include <stdint.h>

#define SPI_PORTX   PORTB
#define SPI_DDRX    DDRB

#define SPI_SCK    5
#define SPI_MISO   4 
#define SPI_MOSI   3
#define SPI_SS     2

/*________________________________*/

/* SPI */
void SPI_Init(void); 

/*    SPI*/
void SPI_WriteByte(uint8_t data); 

/*      SPI*/
uint8_t SPI_ReadByte(uint8_t data);

/*     SPI*/
void SPI_WriteArray(uint8_t num, uint8_t *data);

/*       SPI*/
void SPI_ReadArray(uint8_t num, uint8_t *data);

#endif //SPI_H
